Subject: INQUIRY
From: "Jet Jason Paraiso. Gromea" <[email-masked]>
To: "Swati Shukla, LSM ACCOUNTS" <[email-masked]>
Cc: deeksha <[email-masked]>, saurabh <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Wed, 7 Sep 2022 22:51:02 -0700 (MST)

Hi Swati, 

Greetings! 

Hope you are having a great week. 

I just want to make sure that my invoice was received accordingly and it was correct as I had still no remittance as of this writing. 

I usually would get it the 8th of each month first banking hours in the morning but we had a few delays since the last 3 cut offs and only after contact with Ashish. 

Deeksha told me that the new provider may take 1-2 days to process but I just want to check if mine was processed properly. 

Checked with him prior to submission always but due to his busy schedule I am not getting any confirmation. 

Thank you for your attention to this matter. 

All the best and more power. 

Regards, 
Jason